> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illumiatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Credential Value Types

> Lists the credential value types. Query parameters can be used to limit the scope of the list.



## OpenAPI

````yaml /api-reference/idx/atlas-spec-instmgmt-credential/1.0/idx-instmgmt-credential.json get /credentialvalues/types
openapi: 3.0.3
info:
  title: Institution Management Credential API - 1.0
  version: '1.0'
  description: Credential operations available for institution integration.
  contact:
    name: Transact Campus
    url: https://www.transactcampus.com/
    email: no-reply@transactcampus.com
  termsOfService: TBD
  license:
    name: ISC
    url: https://www.transactcampus.com
servers:
  - url: https://api.transactcampus.com/idx/institution-management/credentials/v1
    description: Prod
  - description: UAT
    url: https://api-uat.transactsp.net/idx/institution-management/credentials/v1
security:
  - ApimKey: []
tags:
  - name: Credential
    description: The credential tag
  - name: Credential Type
    description: The credential type tag
  - name: Credential Value Pool
    description: The credential value pool tag
  - name: Credential Value Type
    description: The credential value type tag
paths:
  /credentialvalues/types:
    get:
      tags:
        - Credential Value Type
      summary: List Credential Value Types
      description: >-
        Lists the credential value types. Query parameters can be used to limit
        the scope of the list.
      operationId: list-credential-value-types
      parameters:
        - $ref: '#/components/parameters/limit-query-param'
        - $ref: '#/components/parameters/offset-query-param'
      responses:
        '200':
          description: The list of credential value types.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  credentialValueTypes:
                    type: array
                    items:
                      $ref: '#/components/schemas/credential-value-type-model'
                  paging:
                    $ref: '#/components/schemas/paging-model'
                required:
                  - credentialValueTypes
                  - paging
        '400':
          $ref: '#/components/responses/error-response'
        '401':
          $ref: '#/components/responses/error-response'
        '403':
          $ref: '#/components/responses/error-response'
        '429':
          $ref: '#/components/responses/error-response'
        '500':
          $ref: '#/components/responses/500-error-response'
components:
  parameters:
    limit-query-param:
      name: limit
      in: query
      description: The limit parameter for pagination.
      schema:
        minimum: 1
        type: integer
        format: int32
        default: 50
      style: form
      explode: false
    offset-query-param:
      name: offset
      in: query
      description: The offset parameter for pagination.
      schema:
        minimum: 0
        type: integer
        format: int32
        default: 0
      style: form
      explode: false
  schemas:
    credential-value-type-model:
      title: Credential Value Type
      type: object
      additionalProperties: false
      description: The credential value type model.
      properties:
        id:
          type: string
          description: The credential value type identifier in UUID format.
          format: uuid
        name:
          maxLength: 20
          type: string
          description: >-
            The credential value type name. Must be unique for the institution. 
            The name cannot be any of the following `Mobile IIN`, `Transact
            Virtual`
        internalNotes:
          type: string
          description: Notes that describe what the credential value represents.
        adminUserHint:
          type: string
          description: Hint for the admin UI.
        consumerUserHint:
          type: string
          description: Hint for the consumer UI.
        mediaTypeDescriptors:
          type: array
          description: The media type descriptors allowed for the credential value.
          uniqueItems: true
          minItems: 0
          items:
            type: string
            enum:
              - BARCODE
              - BIOMETRIC
              - HANDENTRY
              - MAGSTRIPE
              - NFC
              - PROXIMITY
              - OTHER
        issuanceType:
          $ref: '#/components/schemas/credential-value-issuance-type-enum'
        prefix:
          type: string
          description: >-
            The prefix that must be present in the credential value. It must
            conform to the character set. If the IIN identifier is set, the
            prefix will default to the IIN value. If the character set is GUID,
            then this cannot be set. Providing a prefix that does not match the
            value of the IIN will result in an error.
        iinId:
          type: string
          description: >-
            The institution IIN range identifier in UUID format. If the
            character set is GUID, then this cannot be set.
          format: uuid
        characterSet:
          type: string
          description: >-
            The allowed character set of a credential value. If the issuance
            type is set to IIN, the character set must be numeric. If the
            characterSet field is set to ALPHANUMERIC or GUID, then the
            luhnCheckRequired field must be set to false. The alphanumeric set
            can contain upper and lowercase letters, numbers, and underscores.
          enum:
            - ALPHANUMERIC
            - NUMERIC
            - GUID
        minLength:
          type: integer
          minimum: 1
          maximum: 255
          description: >-
            The minimum length allowed for the credential value. If the issuance
            type is IIN, the minimum length must be between 10 and 19. Must be
            less than or equal to the maximum length. If characterSet is GUID,
            then this must be 36 and will default to 36 if not provided.
        maxLength:
          type: integer
          minimum: 1
          maximum: 255
          description: >-
            The maximum length allowed for the credential value. If the issuance
            type is IIN, the maximum length must be between 10 and 19. Must be
            greater than or equal to the minimum length. If characterSet is
            GUID, then this must be 36 and will default to 36 if not provided.
        allowReissuance:
          type: boolean
          description: Determines whether the credential value can be reissued.
        luhnCheckRequired:
          type: boolean
          description: >-
            Indicates if the credential value should be validated by the Luhn
            algorithm. Credential values can only be validated by the Luhn
            algorithm if they are numeric. If character set is ALPHANUMERIC or
            GUID, then this will default to false.
        issueNumberRequired:
          type: boolean
          description: >-
            Indicates if an issue number should be expected in the credential
            value. If issueNumberRequired is set to true, then issueNumberLength
            must not be null.
        issueNumberLength:
          type: integer
          minimum: 1
          maximum: 255
          description: >-
            The expected issue number length. This field is required if
            issueNumberRequired is set to true.
        allowIssuance:
          type: boolean
          description: Indicates if issuance is allowed or not.
      required:
        - id
        - name
        - mediaTypeDescriptors
        - issuanceType
        - characterSet
        - minLength
        - maxLength
        - allowReissuance
        - luhnCheckRequired
        - issueNumberRequired
        - allowIssuance
    paging-model:
      title: Paging
      required:
        - limit
        - offset
        - total
      type: object
      additionalProperties: false
      properties:
        offset:
          minimum: 0
          type: integer
          description: The number of entities skipped before the list begins.
        limit:
          minimum: 1
          type: integer
          description: The maximum number of entities returned in the list.
        total:
          minimum: 0
          type: integer
          description: The total amount of entities.
      description: The paging information model.
    credential-value-issuance-type-enum:
      title: Credential Value Issuance Type
      type: string
      description: >-
        The issuance type. The IIN issuance type will only allow numerical
        credential values with lengths between 10 and 19 numbers. The
        characterSet field must be NUMERIC and the iinId field must not be null,
        if issuanceType is IIN.
      enum:
        - IIN
        - CUSTOM
      x-internal: true
    error-response-model:
      title: Error Response
      description: The error response model.
      type: object
      additionalProperties: false
      required:
        - errors
      properties:
        errors:
          type: array
          description: The list of errors.
          minItems: 1
          items:
            type: object
            additionalProperties: false
            required:
              - errorCode
              - errorMessage
            properties:
              errorCode:
                type: string
                description: The error code describing the failure.
              errorMessage:
                type: string
                description: The error message providing the error details.
              source:
                type: object
                additionalProperties: false
                description: The source of the error.
                properties:
                  pathParameter:
                    type: string
                    description: The path parameter causing the error.
                  queryParameter:
                    type: string
                    description: The query parameter causing the error.
                  header:
                    type: string
                    description: The header causing the error.
                  field:
                    type: string
                    description: The field causing the error.
                  dependentResource:
                    type: string
                    description: The dependent resource causing the error.
              moreInfo:
                type: string
                description: More information about the error.
  responses:
    error-response:
      description: An error occurred. See error information for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error-response-model'
    500-error-response:
      description: An unexpected internal error occurred.
      content: {}
  securitySchemes:
    ApimKey:
      name: Ocp-Apim-Subscription-Key
      type: apiKey
      in: header
      description: The APIM subscription key.

````